
class GameScene extends egret.Sprite {
  private controller: egret.Sprite
  public map
  public constructor() {
    super();
    this.init()
  }

  // 初始化(给开始按钮绑定点击事件)
  private init() {
    // put display object to this scene

    let bg = new egret.Shape()
    bg.graphics.beginFill(0x343e5f, 1)
    bg.graphics.drawRect(0,0,1334, 750)
    bg.graphics.endFill()
    this.addChild(bg)
    // if (!Store.isCatcher()) {
      this.controller = new Controller(Store.isCatcher())
      this.addChild(this.controller)
    // }
    this.map = new Map()
    this.map.y = 15
    this.map.x = 10
    this.addChild(this.map)
  }

  public release() {
    // 移除事件
  }
}